OpenTTD Source: SocialIntegrationPlugin Class Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions | Data Fields
SocialIntegrationPlugin Class Reference

## Public Types
enum | State { RUNNING , FAILED , PLATFORM_NOT_RUNNING , UNLOADED , DUPLICATE , UNSUPPORTED_API , INVALID_SIGNATURE }

## Public Member Functions
| SocialIntegrationPlugin (const std::string &basepath)

## Data Fields
std::string | basepath
| Base path of the plugin.
std::string | social_platform = "unknown"
| Social platform this plugin is for.
std::string | name = ""
| Name of the plugin.
std::string | version = ""
| Version of the plugin.
State | state = FAILED
| Result of the plugin's init function.

## Detailed Description

Definition at line 13 of file social_integration.h.

## Member Enumeration Documentation

## ◆ State

enum SocialIntegrationPlugin::State

Enumerator
RUNNING | The plugin is successfully loaded and running.
FAILED | The plugin failed to initialize.
PLATFORM_NOT_RUNNING | The plugin failed to initialize because the Social Platform is not running.
UNLOADED | The plugin is unloaded upon request.
DUPLICATE | Another plugin of the same Social Platform is already loaded.
UNSUPPORTED_API | The plugin does not support the current API version.
INVALID_SIGNATURE | The signature of the plugin is invalid.

Definition at line 15 of file social_integration.h.

## Constructor & Destructor Documentation

## ◆ SocialIntegrationPlugin()

SocialIntegrationPlugin::SocialIntegrationPlugin | ( | const std::string & | basepath | ) |
| inline

Definition at line 34 of file social_integration.h.

## Field Documentation

## ◆ basepath

std::string SocialIntegrationPlugin::basepath

Base path of the plugin.

Definition at line 26 of file social_integration.h.

## ◆ name

std::string SocialIntegrationPlugin::name = ""

Name of the plugin.

Definition at line 29 of file social_integration.h.

## ◆ social_platform

std::string SocialIntegrationPlugin::social_platform = "unknown"

Social platform this plugin is for.

Definition at line 28 of file social_integration.h.

## ◆ state

State SocialIntegrationPlugin::state = FAILED

Result of the plugin's init function.

Definition at line 32 of file social_integration.h.

## ◆ version

std::string SocialIntegrationPlugin::version = ""

Version of the plugin.

Definition at line 30 of file social_integration.h.

The documentation for this class was generated from the following file:

- src/social_integration.h